PageSpeed Module

Описание

PageSpeed Module позволяет очистить кэши, созданные Модулем для Apache или Nginx и включить режим разработчика на сайте WordPress, обходя таким образом кэширование PageSpeed.

Плагин имеет страницу настроек в консоли сайта, с кнопками и элементами управления. Пожалуйста, смотрите скриншоты.

Плагин требует, чтобы PageSpeed Module был установлен вместе с веб-сервером Apache или Nginx. Если PageSpeed Module не установлен, плагин ничего не делает.

Скриншоты

  • Панель настроек плагина PageSpeed Module.

Установка

Минимальные требования

  • PHP версии 7.0 или выше (PHP 8.0 или выше рекомендовано)
  • MySQL версии 5.0 или выше (MySQL 5.6 или выше рекомендовано)
  • PageSpeed Module для Apache или Nginx
  • Следующие директивы должны присутствовать в настройках Apache:
    ModPagespeedEnableCachePurge on
    ModPagespeedPurgeMethod PURGE
  • Следующие директивы должны присутствовать в настройках Nginx:
    pagespeed EnableCachePurge on;
    pagespeed PurgeMethod PURGE;

Часто задаваемые вопросы

Где я могу получить поддержку или поговорить с другими пользователями?

Если вы испытываете трудности, вы можете попросить помощи на PageSpeed Module Plugin Forum.

Отзывы

Посмотреть все 4 отзыва

Участники и разработчики

«PageSpeed Module» — проект с открытым исходным кодом. В развитие плагина внесли свой вклад следующие участники:

Участники

«PageSpeed Module» переведён на 1 язык. Благодарим переводчиков за их работу.

Перевести «PageSpeed Module» на ваш язык.

Заинтересованы в разработке?

Посмотрите код, проверьте SVN репозиторий, или подпишитесь на журнал разработки по RSS.

Журнал изменений

2.0.1

  • Fixed PHP warning when plugin has no settings saved.
  • Fixed deprecation message with PHP 8.

2.0

  • Tested with WordPress 6.3.
  • Прекращена поддержка PHP 5.6. Минимально требуемая версия PHP теперь 7.0.

1.5

  • Протестировано до WordPress 6.0.

1.4

  • Протестировано до WordPress 5.7.

1.3.1

  • Исправлена ошибка с REST запросом в Development mode.

1.3

  • Протестировано до WordPress 5.6.
  • Стили и скрипты запускаются только на странице настроек плагина.

1.2

  • Протестировано до WordPress 5.5.

1.1.6

  • Протестировано до WordPress 5.4.

1.1.5

  • Протестировано с WordPress 5.2
  • Минимальная версия php поднята до 5.6

1.1.4

  • Исправлены ошибки с некоторыми серверами Apache.
  • Tested with WordPress 5.2.

1.1.3

  • Протестировано до WordPress 5.1.

1.1.2

  • Протестировано с WordPress 5.0.

1.1.1

  • Fixed format of PURGE request for Cloudflare.

1.1

  • Added detection if PageSpeed Module is installed on server.
  • Added Cloudflare support.
  • Добавлена ссылка на настройки на странице плагинов.

1.0.1

  • Обновление перевода.

1.0

  • Первый релиз.